package pInclude;


import java.io.Serializable;

/**
 * The Angle class represents a geometric angle - it must be set in radians but can be
 * retrieved in radians or degrees.  An Angle is immutable and hence each manipulating
 * operation returns a new Angle.
 *
 * Static methods are available for easy conversion from radians to degrees and visa
 * versa, this way it should always be easy to instantiate a new angle whether you currently
 * have a degree value or radian value.
 *
 * @author Matthew Carroll
 *
 */
public class Angle implements Serializable {

        private float anglePercent;
    private static final long serialVersionUID = -8246151698032929796L;

    public Angle(float rad) {
                anglePercent = (float)( rad/(2*Math.PI) );
        }
       
        public static float convertToRadians(float degrees) {
                return (float)((degrees/360) * 2*Math.PI);
        }
       
        public static float convertToDegrees(float rad) {
                return (float)((rad/(2*Math.PI)) * 360);
        }
       
        public float getRadians() {
                return (float)(anglePercent * 2*Math.PI);
        }
       
        public float getDegrees() {
                return (anglePercent * 360);
        }
       
        public Angle add(Angle a) {
                float newAngleRad = (float)( (anglePercent + a.anglePercent) * 2*Math.PI );
                return new Angle(newAngleRad);
        }
       
        public Angle subtract(Angle a) {
                float newAngleRad = (float) ( (anglePercent - a.anglePercent) * 2*Math.PI );
                return new Angle(newAngleRad);
        }
       
}

