/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pInclude;

/**
 * Interface Observable
 * @author Olivier Berthier
 *
 */
public interface Observable {
	/**
	 * Enregistre un Observateur à l'instance Observable
	 * @param obs Observer
	 */
	public void addObserver(Observer obs);
	/**
	 * Réinitialise la liste des Observateurs
	 */
	public void removeObserver();
	/**
	 * Notifie les Observateurs
	 */
	public void notifyObserver();
}
