/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pModel.pEquipe;

import pModel.pRole.Defenseur;
import pModel.pTortue.Tortue;


/**
 * Class de tactic : Defense
 * @author Olivier Berthier
 */
public class Defense extends AbstractTactic {

	//
	// Fields
	//


	//
	// Constructors
	//
	/**
	 * Constructeur par défaut
	 */
	public Defense () { };

	/**
	 * Constructeur prenant une équipe en paramètre.
	 * 
	 * @param equipe Equipe associé à l'instance de la tactic
	 */
	public Defense(Equipe equipe){
		  super(equipe);
	  }
	//
	// Methods
	//
	/**
	 * Met tous les joueurs de l'équipe en défenseur.
	 *  
	 * @see pModel.pEquipe.AbstractTactic#actualiserTactic()
	 */
	@Override
	public void actualiserTactic() {
		
		for(Tortue t:this.getEquipe().getMembres()){
			t.setRole(new Defenseur(t));		
		}	
	}

	//
	// Accessor methods
	//

	//
	// Other methods
	//






}
