package pModel.pTerrain;

import java.awt.Point;

import pModel.pTortue.AbstractTortue;

/**
 * Interface _Zone
 * Définition des zones présente sur le terrain
 * @author Olivier Berthier
 *
 */
public interface _Zone {
	/**
	 * Retourne le type de zone :
	 * 1=> equipe
	 * 0=> enbut
	 * 2=> limite 
	 * 3=> sortie
	 * 
	 * @return int
	 */
	public int getTypeZone();
	/**
	 * Définie le type de zone :
	 * 
	 * @param typeZone
	 */
	public void setTypeZone(int typeZone) ;

	/**
	 * Retourne le centre de gracité de la zone
	 * @return Point
	 */
	public abstract Point centreGavite();
	/**
	 * Retourne la surface de la zone
	 * @return
	 */
	public abstract double surface();	
	/**
	 * Méthode toString 
	 * @return
	 */
	public String toString();	
	/**
	 * Vrai si la tortue se trouve dans la zone, Faux sinon
	 * 
	 * @param t Tortue
	 * @return boolean
	 */
	public abstract boolean contains(AbstractTortue t);
	/**
	 * Vrai si le point se trouve dans la zone, Faux sinon
	 * @param p Point
	 * @return boolean
	 */
	public abstract boolean contains(Point p);	
}
