package pVue;

import pModel._Model;

/**
 * Interface permettant de définir des Vues associée à _Model et ControlerJeu
 * 
 * @see pControler.ControlerJeu
 * @see pModel._Model
 * 
 * @author Olivier Berthier
 *
 */
public interface _Vue  {

	/**
	 * Rafraichi l'affichage de la vue
	 */
	public void repaint();

	/**
	 * Retourne le Model utilisé par la vue
	 * @return _Model
	 */
	public _Model getJeu();

	/**
	 * Initialiser les logos de la vue
	 */
	public void initLogos();
	

}
