/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pVue.pGUI;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.JFrame;

import pVue.VueControle;


/**
 * Class FenetreControle
 * @author Olivier Berthier
 */
public class ControleGUI extends JFrame implements _GUI , ActionListener  {

	//
	// Fields
	//


	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private VueControle m_fenetreJeu;

	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.Box.Filler filler1;
	private javax.swing.JButton jButton_avancer;
	private javax.swing.JButton jButton_creer;
	private javax.swing.JButton jButton_droite;
	private javax.swing.JButton jButton_gauche;
	private javax.swing.JButton jButton_reset;
	private javax.swing.JComboBox jComboBox6;
	private javax.swing.JComboBox jComboBox_equipeNColor;
	private javax.swing.JComboBox jComboBox_nbrEquipes;
	private javax.swing.JComboBox jComboBox_nbrJoueurs;
	private javax.swing.JLabel jLabel13;
	private javax.swing.JLabel jLabel14;
	private javax.swing.JLabel jLabel15;
	private javax.swing.JLabel jLabel16;
	private javax.swing.JLabel jLabel17;
	private javax.swing.JLabel jLabel18;
	private javax.swing.JLabel jLabel19;
	private javax.swing.JMenuBar jMenuBar1;
	private javax.swing.JMenuItem jMenuItem_aPropos;
	private javax.swing.JMenuItem jMenuItem_aide;
	private javax.swing.JMenuItem jMenuItem_enregistrer;
	private javax.swing.JMenuItem jMenuItem_nouveau;
	private javax.swing.JMenuItem jMenuItem_ouvrir;
	private javax.swing.JMenuItem jMenuItem_quitter;
	private javax.swing.JMenu jMenu_aide;
	private javax.swing.JMenu jMenu_edition;
	private javax.swing.JMenu jMenu_fichier;
	private javax.swing.JPanel jPanel5;
	private javax.swing.JPanel jPanel7;
	private javax.swing.JPanel jPanel8;
	//private javax.swing.JPanel jPanel_match;
	private javax.swing.JPanel jPanel_new;
	private javax.swing.JPanel jPanel_solo;
	private javax.swing.JPopupMenu.Separator jSeparator1;
	private javax.swing.JTabbedPane jTabbedPane1;
	private javax.swing.JTextField jTextField3;
	private javax.swing.JTextField jTextField_angle;
	private javax.swing.JTextField jTextField_equipeNName;
	private javax.swing.JToggleButton jToggleButton_crayon;
	// End of variables declaration//GEN-END:variables


	//
	// Constructors
	//
	public ControleGUI ( VueControle m_fenetreJeu ) {
		this.m_fenetreJeu=m_fenetreJeu;
		this.initComponents();


	};

	//
	// Methods
	//
	public void draw(){
		this.setVisible(true);
	}
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
	// <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
	private void initComponents() {

		jPanel5 = new javax.swing.JPanel();
		jTabbedPane1 = new javax.swing.JTabbedPane();
		//jPanel_match = new javax.swing.JPanel();

		jPanel_solo = new javax.swing.JPanel();
		jButton_avancer = new javax.swing.JButton();
		jButton_droite = new javax.swing.JButton();
		jButton_gauche = new javax.swing.JButton();
		jTextField_angle = new javax.swing.JTextField();
		jToggleButton_crayon = new javax.swing.JToggleButton();
		jPanel_new = new ControleGUINew(this);
		jLabel13 = new javax.swing.JLabel();
		jComboBox_nbrEquipes = new javax.swing.JComboBox();
		jLabel14 = new javax.swing.JLabel();
		jPanel7 = new javax.swing.JPanel();
		jLabel15 = new javax.swing.JLabel();
		jTextField_equipeNName = new javax.swing.JTextField();
		jLabel16 = new javax.swing.JLabel();
		jComboBox_equipeNColor = new javax.swing.JComboBox();
		jLabel17 = new javax.swing.JLabel();
		jComboBox_nbrJoueurs = new javax.swing.JComboBox();
		jButton_creer = new javax.swing.JButton();
		jButton_reset = new javax.swing.JButton();
		filler1 = new javax.swing.Box.Filler(new java.awt.Dimension(0, 0), new java.awt.Dimension(0, 0), new java.awt.Dimension(32767, 0));
		jPanel8 = new javax.swing.JPanel();
		jLabel18 = new javax.swing.JLabel();
		jTextField3 = new javax.swing.JTextField();
		jLabel19 = new javax.swing.JLabel();
		jComboBox6 = new javax.swing.JComboBox();
		jMenuBar1 = new javax.swing.JMenuBar();
		jMenu_fichier = new javax.swing.JMenu();
		jMenuItem_enregistrer = new javax.swing.JMenuItem();
		jMenuItem_nouveau = new javax.swing.JMenuItem();
		jMenuItem_ouvrir = new javax.swing.JMenuItem();
		jSeparator1 = new javax.swing.JPopupMenu.Separator();
		jMenuItem_quitter = new javax.swing.JMenuItem();
		jMenu_edition = new javax.swing.JMenu();
		jMenu_aide = new javax.swing.JMenu();
		jMenuItem_aide = new javax.swing.JMenuItem();
		jMenuItem_aPropos = new javax.swing.JMenuItem();

		this.initPanel();
		this.addPanelNew();

		pack();
	}// </editor-fold>//GEN-END:initComponents


	private void jButton_droiteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_droiteActionPerformed
		//this.m_fenetreJeu.getJeu().getTortue().droite(Integer.parseInt(jTextField_angle.getText()));
		this.m_fenetreJeu.repaint();
	}//GEN-LAST:event_jButton_droiteActionPerformed

	private void jToggleButton_crayonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jToggleButton_crayonActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_jToggleButton_crayonActionPerformed


	private void jMenuItem_quitterActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_quitterActionPerformed
		System.exit(0);
	}//GEN-LAST:event_jMenuItem_quitterActionPerformed

	private void jMenuItem_enregistrerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_enregistrerActionPerformed
		// TODO add your handling code here:
		//save

	}//GEN-LAST:event_jMenuItem_enregistrerActionPerformed

	private void jMenuItem_nouveauActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_nouveauActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_jMenuItem_nouveauActionPerformed

	private void jMenuItem_ouvrirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_ouvrirActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_jMenuItem_ouvrirActionPerformed

	private void jMenuItem_aideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_aideActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_jMenuItem_aideActionPerformed

	private void jMenuItem_aProposActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem_aProposActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_jMenuItem_aProposActionPerformed



	private void jButton_gaucheActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_gaucheActionPerformed
		//this.m_fenetreJeu.getJeu().getCurrent().gauche(Integer.parseInt(jTextField_angle.getText()));
		this.m_fenetreJeu.repaint();
	}//GEN-LAST:event_jButton_gaucheActionPerformed

	private void jButton_avancerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_avancerActionPerformed
		//this.m_fenetreJeu.getJeu().getCurrent().avancer(50);
		this.m_fenetreJeu.repaint();
	}//GEN-LAST:event_jButton_avancerActionPerformed


	//
	// Accessor methods
	//

	/**
	 * Set the value of m_fenetreJeu
	 * @param newVar the new value of m_fenetreJeu
	 */
	private void setFenetreJeu ( VueControle newVar ) {
		m_fenetreJeu = newVar;
	}

	/**
	 * Get the value of m_fenetreJeu
	 * @return the value of m_fenetreJeu
	 */
	private VueControle getFenetreJeu ( ) {
		return m_fenetreJeu;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		// TODO Auto-generated method stub

	}

	//
	// Other methods
	//
	private void initPanel(){
		javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
		jPanel5.setLayout(jPanel5Layout);
		jPanel5Layout.setHorizontalGroup(
				jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGap(0, 100, Short.MAX_VALUE)
				);
		jPanel5Layout.setVerticalGroup(
				jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGap(0, 100, Short.MAX_VALUE)
				);

		setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
		setTitle("Controle");
		setAlwaysOnTop(true);

		jTabbedPane1.setName("controleTab"); // NOI18N
		/**/

		/**/



		jMenu_fichier.setText("Fichier");

		jMenuItem_enregistrer.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_S, java.awt.event.InputEvent.CTRL_MASK));
		jMenuItem_enregistrer.setText("Enregistrer");
		jMenuItem_enregistrer.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jMenuItem_enregistrerActionPerformed(evt);
			}
		});
		jMenu_fichier.add(jMenuItem_enregistrer);

		jMenuItem_nouveau.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_N, java.awt.event.InputEvent.CTRL_MASK));
		jMenuItem_nouveau.setText("Nouveau");
		jMenuItem_nouveau.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jMenuItem_nouveauActionPerformed(evt);
			}
		});
		jMenu_fichier.add(jMenuItem_nouveau);

		jMenuItem_ouvrir.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_O, java.awt.event.InputEvent.CTRL_MASK));
		jMenuItem_ouvrir.setText("Ouvrir");
		jMenuItem_ouvrir.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jMenuItem_ouvrirActionPerformed(evt);
			}
		});
		jMenu_fichier.add(jMenuItem_ouvrir);
		jMenu_fichier.add(jSeparator1);

		jMenuItem_quitter.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_Q, java.awt.event.InputEvent.CTRL_MASK));
		jMenuItem_quitter.setText("Quitter");
		jMenuItem_quitter.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jMenuItem_quitterActionPerformed(evt);
			}
		});
		jMenu_fichier.add(jMenuItem_quitter);

		jMenuBar1.add(jMenu_fichier);

		jMenu_edition.setText("Edition");
		jMenuBar1.add(jMenu_edition);

		jMenu_aide.setText("Aide");

		jMenuItem_aide.setText("Aide");
		jMenuItem_aide.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jMenuItem_aideActionPerformed(evt);
			}
		});
		jMenu_aide.add(jMenuItem_aide);

		jMenuItem_aPropos.setText("A propos");
		jMenuItem_aPropos.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jMenuItem_aProposActionPerformed(evt);
			}
		});
		jMenu_aide.add(jMenuItem_aPropos);

		jMenuBar1.add(jMenu_aide);

		setJMenuBar(jMenuBar1);

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
		getContentPane().setLayout(layout);
		layout.setHorizontalGroup(
				layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addComponent(jTabbedPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 583, Short.MAX_VALUE)
				);
		layout.setVerticalGroup(
				layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addComponent(jTabbedPane1)
				);


	}


	private void addPanelNew(){


		jTabbedPane1.addTab("Nouveau match", jPanel_new);
	}
	private void addPanelSolo(){
		jButton_avancer.setText("Avancer");
		jButton_avancer.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton_avancerActionPerformed(evt);
			}
		});

		jButton_droite.setText("Droite");
		jButton_droite.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton_droiteActionPerformed(evt);
			}
		});

		jButton_gauche.setText("Gauche");
		jButton_gauche.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton_gaucheActionPerformed(evt);
			}
		});

		jTextField_angle.setText("90");

		jToggleButton_crayon.setText("Crayon levé");
		jToggleButton_crayon.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jToggleButton_crayonActionPerformed(evt);
			}
		});

		javax.swing.GroupLayout jPanel_soloLayout = new javax.swing.GroupLayout(jPanel_solo);
		jPanel_solo.setLayout(jPanel_soloLayout);
		jPanel_soloLayout.setHorizontalGroup(
				jPanel_soloLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_soloLayout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_soloLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel_soloLayout.createSequentialGroup()
										.addComponent(jButton_avancer)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(jToggleButton_crayon))
										.addGroup(jPanel_soloLayout.createSequentialGroup()
												.addComponent(jTextField_angle, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
												.addComponent(jButton_droite)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
												.addComponent(jButton_gauche)))
												.addContainerGap(319, Short.MAX_VALUE))
				);
		jPanel_soloLayout.setVerticalGroup(
				jPanel_soloLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_soloLayout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_soloLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
								.addComponent(jButton_avancer)
								.addComponent(jToggleButton_crayon))
								.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
								.addGroup(jPanel_soloLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
										.addComponent(jButton_droite)
										.addComponent(jTextField_angle, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
										.addComponent(jButton_gauche))
										.addContainerGap(208, Short.MAX_VALUE))
				);

		jTabbedPane1.addTab("tab3", jPanel_solo);
	}
	public void addPanelMatch(){
		ControleGUITab t = new ControleGUITab(this,this.m_fenetreJeu.addMatch());
		jTabbedPane1.addTab("m1", t);
		this.jTabbedPane1.setSelectedComponent(t);
	}
	public void removePanelMatch(ControleGUITab tab){
		this.m_fenetreJeu.removeMatch(tab.getMatch());
		this.jTabbedPane1.remove(tab);
	}

	@Override
	public void close() {
		// TODO Auto-generated method stub

	}

	private Vector<ControleGUITab> v=new Vector<ControleGUITab>();
	/**
	 * @return the v
	 */
	public Vector<ControleGUITab> getV() {
		return v;
	}

	/**
	 * @param v the v to set
	 */
	public void setV(Vector<ControleGUITab> v) {
		this.v = v;
	}

	public void addPanelMatch(int nbrEquipes, int nbrJoueurs, String[] noms,int[] colors) {

		ControleGUITab t = new ControleGUITab(this,this.m_fenetreJeu.addMatch( nbrEquipes, nbrJoueurs, noms,colors));
		v.add(t);
		jTabbedPane1.addTab("m1", t);
		this.jTabbedPane1.setSelectedComponent(t);

	}
}
