/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pVue.pGUI;

import javax.swing.JPanel;

import pModel.pEquipe.Equipe;

/**
 * Class ControleGUITabEquipe
 * @author Olivier Berthier
 *
 */
public class ControleGUITabEquipe extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Equipe equipe;

	private javax.swing.JLabel jLabel_equipeN;
	private javax.swing.JLabel jLabel_equipeNName;
	private javax.swing.JLabel jLabel7;
	private javax.swing.JLabel jLabel_equipeNScore;

	private javax.swing.JLabel jLabel10;

	private javax.swing.JComboBox jComboBox_equipeNTactic;

	// private javax.swing.JPanel jPanel_equipeN;
	private javax.swing.JPanel jPanel_equipeNColor;


	public ControleGUITabEquipe(Equipe e) {
		equipe=e;
		this.initComponents();
	}
	private void initComponents() {

		System.out.println("test");
		// jPanel_equipeN = new javax.swing.JPanel();
		jLabel_equipeN = new javax.swing.JLabel();
		jLabel_equipeNName = new javax.swing.JLabel();
		jLabel7 = new javax.swing.JLabel();
		jLabel_equipeNScore = new javax.swing.JLabel();
		jLabel10 = new javax.swing.JLabel();
		jComboBox_equipeNTactic = new javax.swing.JComboBox();
		jPanel_equipeNColor = new javax.swing.JPanel();

		this.init();

	}
	public void init(){
		jLabel_equipeN.setText("Equipe 1 :");
		jLabel_equipeN.setName("equipeN_JL"); // NOI18N

		jLabel_equipeNName.setText("jLabel5");
		jLabel_equipeNName.setName("equipeName"); // NOI18N

		jLabel7.setText("Score :");

		jLabel_equipeNScore.setText("0");
		jLabel_equipeNScore.setName("equipeScore"); // NOI18N

		jLabel10.setText("Tactic :");

		jComboBox_equipeNTactic.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Attaque","Défense","Agressif" }));
		jComboBox_equipeNTactic.setName("tactic1"); // NOI18N
		jComboBox_equipeNTactic.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jComboBox_equipeNTacticActionPerformed(evt);
			}
		});

		jPanel_equipeNColor.setBackground(new java.awt.Color(153, 0, 255));

		javax.swing.GroupLayout jPanel_equipeNColorLayout = new javax.swing.GroupLayout(jPanel_equipeNColor);
		jPanel_equipeNColor.setLayout(jPanel_equipeNColorLayout);
		jPanel_equipeNColorLayout.setHorizontalGroup(
				jPanel_equipeNColorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGap(0, 15, Short.MAX_VALUE)
				);
		jPanel_equipeNColorLayout.setVerticalGroup(
				jPanel_equipeNColorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGap(0, 16, Short.MAX_VALUE)
				);

		javax.swing.GroupLayout jPanel_equipeNLayout = new javax.swing.GroupLayout(this);
		this.setLayout(jPanel_equipeNLayout);
		jPanel_equipeNLayout.setHorizontalGroup(
				jPanel_equipeNLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_equipeNLayout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_equipeNLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel_equipeNLayout.createSequentialGroup()
										.addComponent(jPanel_equipeNColor, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(jLabel_equipeN)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(jLabel_equipeNName))
										.addGroup(jPanel_equipeNLayout.createSequentialGroup()
												.addComponent(jLabel7)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
												.addComponent(jLabel_equipeNScore))
												.addGroup(jPanel_equipeNLayout.createSequentialGroup()
														.addComponent(jLabel10)
														.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
														.addComponent(jComboBox_equipeNTactic, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
														.addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
				);
		jPanel_equipeNLayout.setVerticalGroup(
				jPanel_equipeNLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_equipeNLayout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_equipeNLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addGroup(jPanel_equipeNLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
										.addComponent(jLabel_equipeN)
										.addComponent(jLabel_equipeNName))
										.addComponent(jPanel_equipeNColor, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(jPanel_equipeNLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
												.addComponent(jLabel7)
												.addComponent(jLabel_equipeNScore))
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
												.addGroup(jPanel_equipeNLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(jLabel10)
														.addComponent(jComboBox_equipeNTactic, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
														.addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
				);
	}

	private void jComboBox_equipeNTacticActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox_equipeNTacticActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_jComboBox_equipeNTacticActionPerformed

	private void jComboBox2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox2ActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_jComboBox2ActionPerformed
}
